Skip to Content
SeyloDocs

List recent alerts

GET
/api/v1/alerts.list

Lists alerts newest first, limited to the projects, services and nodes the caller can see. Filter by project, service or node; page with the nextCursor of the previous call.

Any signed-in caller. Available to MCP clients and the assistant.

Authorization

cookieseylo_session<token>

Query Parameters

projectId?string

Panel-issued id.

Match^[a-z0-9]{16}$
serviceId?string

Panel-issued id.

Match^[a-z0-9]{16}$
nodeId?string

Panel-issued id.

Match^[a-z0-9]{16}$
unresolvedOnly?boolean
limit?integer
Range1 <= value <= 200
Default50
cursor?string
Lengthlength <= 64

Response Body

Success.

application/json
  1. response
alerts*array<>
nextCursor*string|null
Example Request
curl -X GET 'https://example.com/api/v1/alerts.list'
Example Response
{  "alerts": [    {      "id": "string",      "event": "crash",      "severity": "error",      "title": "string",      "message": "string",      "projectId": "string",      "serviceId": "string",      "nodeId": "string",      "link": "string",      "resolvedAt": "2019-08-24T14:15:22Z",      "muted": true,      "createdAt": "2019-08-24T14:15:22Z"    }  ],  "nextCursor": "string"}